var ponencia = window.location.search.substr(1);

console.log(ponencia);

	function obtenerEscenario(id) {
		var ret = "";
		switch(id) {
		case "1":
			ret = "Principal";
			break;
		case "2":
			ret = "Hipatia";
			break;
		case "3":
			ret = "Pitagoras";
			break;
		case "4":
			ret = "Arquimedes";
			break;
		case "5":
			ret = "Miguel Angel";
			break;
		case "6":
			ret = "Gutemberg";
			break;
		case "7":
			ret = "Galileo";
			break;
		case "8":
			ret = "Stadium";
			break;
		}
		return ret;
	}

	function obtenerColor(id){
		var colorClass = "";
		switch(id){
		case "1":
			colorClass = "marino";
			break;
		case "2":
			colorClass = "cielo";
			break;
		case "3":
			colorClass = "rosa";
			break;
		case "4":
			colorClass = "naranja";
			break;
		case "5":
			colorClass = "verde";
			break;
		case "6":
			colorClass = "gris";
			break;
		case "7":
			colorClass = "lima";
			break;
		case "8":
			colorClass = "rojo";
			break;
		}
		return colorClass;
	}


var xhr = new window.XMLHttpRequest({mozSystem: true});
xhr.open("GET", "http://campus.artefactoestudio.com/campusparty/index.php?/campus/GetMobileCalendar", true);

xhr.onreadystatechange = function() {
	if (xhr.readyState == 4)
	{
		if (xhr.status == 200)
		{
			var ponencias = xhr.responseText.split("\|");

			ponencias.forEach(function(entrada){
				var datos = entrada.split("\~");

				if (datos[13] == ponencia)
				{
					tema = datos[0];
					ponente = datos[1];
					escenario = datos[2];
					algo = datos[3];
					fechai = datos[4];
					fechat = datos[5];
					intervalo = datos[6];
					descripcion = datos[7];
					numtematica = datos[8];
					tematica = datos[9];
					foto = datos[10];
					tipoevento = datos[11];
					dehr = datos[12];
					id = datos[13];
					temamini = datos[14];
					puntosgeek = datos[15];

					var vdiv1 = document.createElement("div");
					var vdiv2 = document.createElement("div");
					var vdiv3 = document.createElement("div");
					var vdiv4 = document.createElement("div");
					var vimg = document.createElement("img");

					var mesi = parseInt(fechai.substring(0, 2)); 
					var diai = parseInt(fechai.substring(3, 5)); 
					var anoi = parseInt(fechai.substring(6, 10));
					/*var horai = parseInt(fechai.substring(11, 13));
					var minutoi = parseInt(fechai.substring(14, 16));
					var segundoi = parseInt(fechai.substring(17, 19));

					var mesf = parseInt(fechat.substring(0, 2)); 
					var diaf = parseInt(fechat.substring(3, 5)); 
					var anof = parseInt(fechat.substring(6, 10)); 
					var horaf = parseInt(fechat.substring(11, 13)); 
					var minutof = parseInt(fechat.substring(14, 16)); 
					var segundof = parseInt(fechat.substring(17, 19));

					var da = new Date();
					var di = new Date(anoi, mesi - 1 , diai, horai, minutoi, segundoi, 0);
					var df = new Date(anof, mesf - 1 , diaf, horaf, minutof, segundof, 0);

					var minsParaComenzar = di - da;
					minsParaComenzar = parseInt((minsParaComenzar/1000)/60);

					var minsParaTerminar = df - da;
					minsParaTerminar = parseInt((minsParaTerminar/1000)/60);*/

					vdiv1.setAttribute("id", "ponente");
					vdiv2.setAttribute("id", "titulo");
					vdiv3.setAttribute("id", "lugar");
					vdiv4.setAttribute("id", "descripcion");
					vimg.setAttribute("src", "http://campus.artefactoestudio.com/campusparty/upload/" + foto);

					vdiv3.appendChild(vimg);

					vdiv1.innerHTML = "<p class='centrado'><b>" + obtenerEscenario(escenario) + "</b></p><p><span class='izquierda'>" +  diai + "/" + mesi + "/" + anoi + "</span><span class='derecha'>" + intervalo +"</span></p>";
					vdiv2.innerHTML = "<p class='centrado'>" + tema + "</p>";
					vdiv3.innerHTML += "<p class='centrado'><b>" + ponente + "</b></p>";
					vdiv4.innerHTML = "<p class='justificado'>" + descripcion + "</p><p></p>";

					document.querySelector("#detalles").appendChild(vdiv1);
					document.querySelector("#detalles").appendChild(vdiv2);
					document.querySelector("#detalles").appendChild(vdiv3);
					document.querySelector("#detalles").appendChild(vdiv4);
				}


			});
		}
	}
}

xhr.send();